/*
 * parseKeySetFile.hpp
 *
 *  Created on: Sep 28, 2012
 *      Author: heber
 */

#ifndef PARSEKEYSETFILES_HPP_
#define PARSEKEYSETFILES_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

class KeySetsContainer;

/** Enumeration of the type of KeySet files for parseKeySetFile to choose.
 *
 */
enum KeySetFileType
{
  NonHydrogenKeySets,   //!< KeySets excluding all hydrogen
  HydrogenKeySets       //!< KeySets including all but saturation hydrogens
};

void parseKeySetFile(
    KeySetsContainer &KeySet,
    const std::string &KeySetFilename,
    const size_t FragmentCounter,
    const enum KeySetFileType keysettype
    );

#endif /* PARSEKEYSETFILES_HPP_ */
